# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.UpdateUserLocationRequest do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :locationVerified,
    :location,
    :searchRadius,
    :searchCity
  ]

  @type t :: %__MODULE__{
    :locationVerified => boolean() | nil,
    :location => FoyerAPI.Model.Location.t | nil,
    :searchRadius => integer() | nil,
    :searchCity => String.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.UpdateUserLocationRequest do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:location, :struct, FoyerAPI.Model.Location, options)
  end
end

